Bug 62364 - konsolekalendar prints dates as "???" when non-ASCII locale is used
Summary: konsolekalendar prints dates as "???" when non-ASCII locale is used
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdepim (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-03-30 09:25 UTC by Aleksey Nogin
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 16:53:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add appropriate .local8Bit() (824 bytes, patch)
2002-03-30 09:26 UTC, Aleksey Nogin
no flags Details | Diff

Description Aleksey Nogin 2002-03-30 09:25:42 UTC
konsolekalendar forgets to do .local8Bit() on some of the strings it prints
resulting in dates being printed as "???" when I use it under LANG=ru_RU.KOI8-R.
I'll attach a patch in a minute.

P.S. Should I attempt to report these things to bugs.kde.org (I wish they'd use
Bugzilla!) instead of (or in addition to) doing it here?

Comment 1 Aleksey Nogin 2002-03-30 09:26:46 UTC
Created attachment 51444 [details]
add appropriate .local8Bit()

Comment 2 Aleksey Nogin 2002-04-01 22:05:00 UTC
A patch for this was checked in to CVS today, but that was post-3.0 if I
understand correctly.

Comment 3 Bernhard Rosenkraenzer 2002-04-10 16:53:01 UTC
Right. I've just applied it to KDE_3_0_BRANCH in CVS.

Comment 4 Bernhard Rosenkraenzer 2002-04-10 17:09:46 UTC
Added in the 3.0.0-2 package.


Note You need to log in before you can comment on or make changes to this bug.